proc bond {id1 id2 k d} {
    variable coor
    variable ID
    
    set start $coor($id1)
    set end   $coor($id2)
    set middle [vecadd $start [vecscale 0.9 [vecsub $end $start]]]

    graphics $ID cylinder $start $end radius 0.25 resolution 3
}

if { ! [info exists ID] } {    
    set ID [mol new bare-dna.psf]
    mol addfile bare-dna.pdb

    set sel [atomselect $ID "resname MGH or (nucleic and noh)"]
    array set coor ""
    foreach {id x y z} [join [$sel get {index x y z}]] {
	set coor($id) "$x $y $z"
    }

}

# source 4-fix.hj-enm.exb

# source intra-helix.exb
source vacuum.exb